org.eclipse.mat.ibmvm.acquire

## Class IBMVmInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.acquire.VmInfo
  - - org.eclipse.mat.ibmvm.acquire.IBMVmInfo

Direct Known Subclasses:
  IBMExecVmInfo

    public class IBMVmInfo
    extends VmInfo

Stores information about the target VM.

### Field Summary

Fields
`boolean` `compress`
`File` `dumpdir`
`boolean` `live`
`DumpType` `type`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProposedFileName()` Returns a proposed file name under which the heap dump should be saved, e.g.

### Methods inherited from class org.eclipse.mat.snapshot.acquire.VmInfo

`getDescription, getHeapDumpProvider, getPid, isHeapDumpEnabled, setDescription, setHeapDumpEnabled, setHeapDumpProvider, setPid, setProposedFileName, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public DumpType type

#### live

    public boolean live

#### compress

    public boolean compress

#### dumpdir

    public File dumpdir

### Method Detail

#### getProposedFileName

    public String getProposedFileName()

Description copied from class: `VmInfo`
Returns a proposed file name under which the heap dump should be saved, e.g. java_pid%pid%.hprof for HPROF files or a file name template subject to substitution using `MessageUtil.format(java.lang.String, java.lang.Object...)` with three parameters, `Date` date, int pid, int index For example: mydumpname.{0,date,yyyyMMdd.HHmmss}.{1,number,0}.{2,number,0000}.dmp

Overrides:
  `getProposedFileName` in class `VmInfo`
Returns:
  a suggested file name template